module LiquidAddons
  module LiquidAddonsFilters
    include Locomotive::Liquid::Filters::Base
    def requirejs_url(input)
      return '' if input.nil?

      uri = URI(input)

      unless input =~ /^(\/|https?:)/
        uri.path = asset_url("javascripts/#{uri.path}")
      end

      "'#{input}': '#{uri.to_s}'"
    end
  end
end
